MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022717Community[OCCT] OCCT:Modeling Algorithmspublic2011-08-31 14:132018-11-06 21:18
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.1 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022717: Exception during sewing
DescriptionPost from the Forum http://www.opencascade.org/org/forum/thread_21661/. [^]
"see attached iges file.
It contains faces. The maximum gap that I can measure is 0.01825 mm.

I tried to sew it using Draw and I got an ACCES VIOLATION

here is what I did
#
pload ALL
igesread c:/temp/8_hole.igs 8h *
sewing 8hS 0.019 8h
#

I used 0.019 tol because I wanted to get a SH object without "holes" (I am assuming that OCC is just relaxing the tolerance locally)
"
File 8_hole.7z is attached.
Steps To Reproducepload ALL
igesread 8_hole.igs a *
TagsNo tags attached.
Test case numberchl 934 N7
Attached Files7z file icon 8_hole.7z (31,979 bytes) 2011-08-31 14:13
gz file icon chl_934_N7.tar.gz (504 bytes) 2011-12-28 15:53

- Relationships
parent of 0030348verifiedbugmaster Open CASCADE Shape Healing - ShapeFix_Wire::FixEdgeCurves() throws Standard_OutOfRange exception 

-  Notes
(0018938)
ama (developer)
2011-12-21 19:54

SVN branch http://svn/svn/occt/branches/OCC22717 [^] (revision 9832) is ready to be reviewed.
(0018942)
gka (developer)
2011-12-22 11:52

1.In theShapeFix_Edge:
It is necessary to understand why BRepLib::BuildCurve3d returns true for this case and to correct it.

2. In theShape Fix_Wire.cxx:
In the efforts of keeping performance method FixConnected(Standard_Integer num,Standard_Real preci should be used)
(0018964)
mkv (tester)
2011-12-23 15:15

Dear BugMaster,
Workbench KAS:dev:mkv-22717-occt was created from SVN branch http://svn/svn/occt/branches/OCC22717 [^]
(and mkv-22717-products from trunk) and compiled on Linux platform.

Test case for this bug is chl/934/N7. It is OK.

There are not regressions in mkv-22717-products regarding to KAS:dev:products-21111216-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-22717-products_22122011/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20111216-opt_17122011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0018994)
ama (developer)
2011-12-23 19:05

Dear Galina!

Could you please review and resend for testing SVN branch http://svn/svn/occt/branches/OCC22717 [^] (revision 9889).

There are some differences with previous revision:
1. changed behavior of BRepLib::BuildCurve3d - now it returns false if the computation of 3d curve was failed or the edge has no 3d or planar curves (heretofore it returns true if building of 3d curve was started but has no result curve)
2. in ShapeFix_Wire.cxx using FixConnected(num,preci) instead FixConnected()
(0019012)
gka (developer)
2011-12-27 12:27

Bug has been reviewed and ready to tests.
(0019035)
aan (tester)
2011-12-28 15:57

Dear BugMaster,
Workbench KAS:dev:mkv-22717-occt was created from SVN branch http://svn/svn/occt/branches/OCC22717 [^]
(and mkv-22717-products from trunk) and compiled on Linux platform.

Test case for this bug is chl/934/N7. It is OK.

There are not regressions in mkv-22717-products regarding to KAS:dev:products-21111216-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-22717-products_27122011/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20111216-opt_17122011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019052)
bugmaster (administrator)
2011-12-29 15:48

Integration into trunk of occt repository

Date: 2011-12-29 15:41:55 +0400 (Thu, 29 Dec 2011)
New Revision: 9957

Modified:
   trunk/src/BRepLib/BRepLib.cdl
   trunk/src/BRepLib/BRepLib.cxx
   trunk/src/ShapeBuild/ShapeBuild_Edge.cxx
   trunk/src/ShapeFix/ShapeFix_Wire.cxx

- Related Changesets
occt: master dfc06d1f
Timestamp: 2011-12-29 11:41:55
Author: ama
Committer: bugmaster
Details ] Diff ]
0022717: Exception during sewing
mod - src/BRepLib/BRepLib.cdl Diff ] File ]
mod - src/BRepLib/BRepLib.cxx Diff ] File ]
mod - src/ShapeBuild/ShapeBuild_Edge.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Wire.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-08-31 14:13 szy New Issue
2011-08-31 14:13 szy Assigned To => bugmaster
2011-08-31 14:13 szy File Added: 8_hole.7z
2011-09-21 11:11 bugmaster Target Version 6.5.2 => 6.5.3
2011-09-21 14:01 szy Assigned To bugmaster => gka
2011-09-21 14:01 szy Status new => assigned
2011-12-15 16:15 abv Assigned To gka => ama
2011-12-21 19:54 ama Note Added: 0018938
2011-12-21 19:55 ama Steps to Reproduce Updated View Revisions
2011-12-21 19:55 ama Status assigned => resolved
2011-12-21 19:56 ama Assigned To ama => gka
2011-12-22 11:52 gka Note Added: 0018942
2011-12-22 11:52 gka Assigned To gka => ama
2011-12-22 11:52 gka Status resolved => reviewed
2011-12-23 13:58 ama Status reviewed => assigned
2011-12-23 15:15 mkv Note Added: 0018964
2011-12-23 19:05 ama Note Added: 0018994
2011-12-23 19:06 ama Status assigned => resolved
2011-12-23 19:07 ama Assigned To ama => gka
2011-12-27 12:27 gka Note Added: 0019012
2011-12-27 12:27 gka Status resolved => reviewed
2011-12-28 15:53 mkv File Added: chl_934_N7.tar.gz
2011-12-28 15:54 mkv Test case number => chl 934 N7
2011-12-28 15:57 aan Note Added: 0019035
2011-12-28 18:33 aan Status reviewed => tested
2011-12-29 15:48 bugmaster Note Added: 0019052
2011-12-29 15:48 bugmaster Status tested => verified
2011-12-29 15:48 bugmaster Resolution open => fixed
2012-03-29 17:26 bugmaster Changeset attached => occt master dfc06d1f
2018-11-06 21:18 kgv Relationship added parent of 0030348


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker